#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE5,0x38,0x59,0xAF,0x40,0x82,0x1C,0x60,0x4B,0x6F,0x0E,0x79,
		0x0C,0xDF,0xC7,0x1F,0x5E,0xF4,0x6A,0xFA,0xD1,0x9E,0x02,0xFB,
		0xA9,0x9C,0x3E,0xE8,0xEA,0x6B,0x9D,0xA4,0x87,0x92,0x3E,0xB6,
		0x36,0xED,0x77,0x6C,0x99,0xDB,0x9B,0x36,0xB9,0x91,0x69,0x0A,
		0xBE,0x6A,0x80,0x56,0xB5,0x87,0x3A,0xE5,0x5E,0x61,0x57,0x23,
		0x66,0x91,0x28,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
